## org.codehaus.groovy.ast
Class MixinASTTransformation

    java.lang.Object
      org.codehaus.groovy.ast.MixinASTTransformation

All Implemented Interfaces:
  ASTTransformation

    public class MixinASTTransformation
    extends Object
    implements ASTTransformation

Constructor Summary
Constructor and Description
`MixinASTTransformation()`

Method Summary
Modifier and Type | Method and Description
--- | ---
`void` `visit(ASTNode[] nodes, SourceUnit source)` The method is invoked when an AST Transformation is active.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MixinASTTransformation

    public MixinASTTransformation()

Method Detail

### visit

    public void visit(ASTNode[] nodes,
                      SourceUnit source)

  Description copied from interface: `ASTTransformation`
  The method is invoked when an AST Transformation is active. For local transformations, it is invoked once each time the local annotation is encountered. For global transformations, it is invoked once for every source unit, which is typically a source file.

  Specified by:
    `visit` in interface `ASTTransformation`
  Parameters:
    `nodes` - The ASTnodes when the call was triggered. Element 0 is the AnnotationNode that triggered this annotation to be activated. Element 1 is the AnnotatedNode decorated, such as a MethodNode or ClassNode. For global transformations it is usually safe to ignore this parameter.
    `source` - The source unit being compiled. The source unit may contain several classes. For global transformations, information about the AST can be retrieved from this object.

Copyright © 2003-2010 The Codehaus. All rights reserved.